#pragma once
#include <dsound.h>
#include <memory>


namespace mof
{
namespace sound
{
	class DirectSoundDevice
	{
		LPDIRECTSOUND8 pSound_;
		LPDIRECTSOUNDBUFFER primary_buffer_;
	public:
		typedef std::shared_ptr<DirectSoundDevice> ptr;
		DirectSoundDevice(HWND hWnd);
		~DirectSoundDevice();
		LPDIRECTSOUND8 raw() const;
		LPDIRECTSOUNDBUFFER primary_buffer() const;
	};

}// soudn
}// mof
